using UnityEngine;

public class RoomMatchResultAnimationHandler : IResultAnimationHandler
{
	private readonly GameObject m_resultAnimationAgentObj;

	private readonly RoomMatchResultAnimationAgent m_resultAnimationAgentIns;

	public ResultAnimationAgent m_resultAnimationAgent => m_resultAnimationAgentIns;

	public RoomMatchResultAnimationHandler(BattleCamera battleCamera)
	{
		m_resultAnimationAgentObj = new GameObject();
		m_resultAnimationAgentIns = m_resultAnimationAgentObj.AddComponent<RoomMatchResultAnimationAgent>();
		m_resultAnimationAgentIns.GetComponent<RoomMatchResultAnimationAgent>().SetBattleCamera(battleCamera);
	}

	public void Destroy()
	{
		Object.Destroy(m_resultAnimationAgentObj);
	}
}
